// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "TiledSpriteAnimation.hpp"

using namespace Dawn;

TiledSpriteAnimation::TiledSpriteAnimation(TiledSprite *sprite) :
  SimpleAnimation(&frame),
  sprite(sprite)
{
}

void TiledSpriteAnimation::tick(float_t delta) {
  SimpleAnimation::tick(delta);
  this->sprite->setTile(frame);
}