// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "dawnlibs.hpp"

namespace Dawn {
  struct SceneItemComponentRegister {
    int32_t i;
  };

  class SceneItemComponentList {
    private:
      std::vector<struct SceneItemComponentRegister> components;

    protected:
      template<class T>
      void append() {
        struct SceneItemComponentRegister r;
        this->components.push_back(r);
      }
  };
}