// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/SceneItemComponent.hpp"
#include "TicTacToeTile.hpp"

namespace Dawn {
  class TicTacToeGame : public SceneItemComponent {
    public:
      std::vector<TicTacToeTile*> tiles;

      TicTacToeGame(SceneItem *item);

      void onStart() override;

      void onSceneUpdate();
  };
}